org.jbpm.kie.services.impl

## Class FormManagerServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.FormManagerServiceImpl

- All Implemented Interfaces:
    FormManagerService
  Direct Known Subclasses:
    FormManagerServiceCDIImpl, FormManagerServiceEJBImpl

      public class FormManagerServiceImpl
      extends Object
      implements FormManagerService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormManagerServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAllDeployments()`
    `Map<String,String>` | `getAllForms()`
    `Map<String,String>` | `getAllFormsByDeployment(String deploymentId)`
    `String` | `getFormByKey(String deploymentId, String key)`
    `void` | `registerForm(String deploymentId, String key, String formContent)`
    `void` | `unRegisterForms(String deploymentId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormManagerServiceImpl

          public FormManagerServiceImpl()

  - ### Method Detail

    - #### registerForm

          public void registerForm(String deploymentId,
                                   String key,
                                   String formContent)

      Specified by:
        `registerForm` in interface `FormManagerService`

    - #### unRegisterForms

          public void unRegisterForms(String deploymentId)

      Specified by:
        `unRegisterForms` in interface `FormManagerService`

    - #### getAllFormsByDeployment

          public Map<String,String> getAllFormsByDeployment(String deploymentId)

      Specified by:
        `getAllFormsByDeployment` in interface `FormManagerService`

    - #### getAllDeployments

          public Set<String> getAllDeployments()

      Specified by:
        `getAllDeployments` in interface `FormManagerService`

    - #### getAllForms

          public Map<String,String> getAllForms()

      Specified by:
        `getAllForms` in interface `FormManagerService`

    - #### getFormByKey

          public String getFormByKey(String deploymentId,
                                     String key)

      Specified by:
        `getFormByKey` in interface `FormManagerService`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.